Index: c/src/lib/libmisc/Makefile.in
===================================================================
--- c/src/lib/libmisc/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 include $(RTEMS_CUSTOM)
Index: c/src/lib/libmisc/assoc/Makefile.in
===================================================================
--- c/src/lib/libmisc/assoc/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/assoc/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 LIB=${ARCH}/libassoc-tmp.a
Index: c/src/lib/libmisc/cpuuse/Makefile.in
===================================================================
--- c/src/lib/libmisc/cpuuse/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/cpuuse/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 LIB=${ARCH}/libcpuuse-tmp.a
Index: c/src/lib/libmisc/error/Makefile.in
===================================================================
--- c/src/lib/libmisc/error/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/error/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 LIB=${ARCH}/liberror-tmp.a
Index: c/src/lib/libmisc/monitor/Makefile.in
===================================================================
--- c/src/lib/libmisc/monitor/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/monitor/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 LIB=${ARCH}/libmonitor-tmp.a
Index: c/src/lib/libmisc/rtmonuse/Makefile.in
===================================================================
--- c/src/lib/libmisc/rtmonuse/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/rtmonuse/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 LIB=${ARCH}/librtmonuse-tmp.a
Index: c/src/lib/libmisc/stackchk/Makefile.in
===================================================================
--- c/src/lib/libmisc/stackchk/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/stackchk/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,5 +6,8 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 LIB=${ARCH}/libstackchk-tmp.a
Index: c/src/lib/libmisc/wrapup/Makefile.in
===================================================================
--- c/src/lib/libmisc/wrapup/Makefile.in	(revision c436b5b84de62906836d9030da246eda1f4ee371)
+++ c/src/lib/libmisc/wrapup/Makefile.in	(revision 674c900f24a91e1503d5f6f07bbe2f423ef5bf4b)
@@ -6,7 +6,13 @@
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
-VPATH=@srcdir@
+VPATH = @srcdir@
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+RTEMS_CUSTOM = $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
 
 LIB=$(ARCH)/libmisc.a
+
+include $(RTEMS_CUSTOM)
+include $(PROJECT_ROOT)/make/lib.cfg
 
 #  Using the wildcard on the Purify support makes sure it may not be there
@@ -20,7 +26,4 @@
      $(wildcard ../purify/$(ARCH)/libpurify-tmp.a)
 RELS=
-
-include $(RTEMS_CUSTOM)
-include $(PROJECT_ROOT)/make/lib.cfg
 
 CLEAN_ADDITIONS +=
